
QGIS Application - Bug report #13343

Rendering long segments produces artefacts

2015-09-11 05:50 AM - andskog -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21396

Description

When rendering long line geometries and zooming in, the line can render incorrectly with segments crossing the canvas at random

places. If I split the line to smaller segments, it renders correctly. Data and screenshots of the buggy rendering attached.

Associated revisions

Revision 08185c9a - 2015-10-29 12:08 PM - Jürgen Fischer

render polygons with outline using drawPath (fixes #13343)

Revision 721856a3 - 2015-10-29 12:26 PM - Jürgen Fischer

render polygons with outline using drawPath (fixes #13343)

(cherry picked from commit 08185c9af47dcf113c0cb95faa858ec48e48dab2)

Revision c0156fc4 - 2015-10-29 12:30 PM - Jürgen Fischer

render polygons with outline using drawPath (fixes #13343)

(cherry picked from commit 08185c9af47dcf113c0cb95faa858ec48e48dab2)

Revision c6460a3d - 2015-11-20 05:08 PM - Jürgen Fischer

render polylines with drawPath too (followup 08185c9; fixes #13343)

Revision dbe30f9c - 2015-11-25 04:57 PM - Jürgen Fischer

render polylines with drawPath too (followup 08185c9; fixes #13343)

(cherry picked from commit c6460a3d7de23e655c5fa68309b8224555b0b77f)

History

#1 - 2015-09-12 01:46 AM - Saber Razmjooei

- Status changed from Open to Feedback
No attachements!

#2 - 2015-09-25 01:35 AM - andskog -

- File bug.png added

#3 - 2015-10-13 03:20 AM - andskog -

This issue should probably be tested on several computers, because the bug doesn't occur on all. I've tried on two W7 computers, one produces the bug,

the other doesn't..

#4 - 2015-10-24 12:38 PM - Nyall Dawson

Andskog - can you share some data and a project which demonstrates this?

#5 - 2015-10-29 04:13 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"08185c9af47dcf113c0cb95faa858ec48e48dab2".

#6 - 2015-11-07 07:40 AM - Jürgen Fischer

sample data: http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/cultural/ne_10m_admin_0_countries.zip

Files

bug.png 138 KB 2015-09-24 andskog -
